<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
@author 			felipe.cadena
@cu 				CU-SA-AC-021 Consultar Informe de correcciones
@ManagedBean        ConsultaInformeCorreccionesAlProtocoloMB
-->

<h:form id="consultarInformeCorreccionesAlProtocoloForm"
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui">


    <p:spacer height="5" width="0" />

    <p:fieldset>

        <legend>
            <h:outputText value="Información del avalúo" styleClass="legendTitle" />
        </legend>


        <h:panelGrid columns="4" cellspacing="7" width="100%">

            <h:outputLabel value="Sec. radicado: " styleClass="outputLabelStyle" />
            <p:commandLink id="solicitudLink-2"
                           styleClass="commandLinkStyle"
                           onstart="statusDialog2.show();"
                           update=":isCC:infoSolicitudTV"
                           oncomplete="infoSolicitudCCWV.show();statusDialog2.hide()"
                           value="#{consultaInformeCorrecccionesProtocolo.avaluo.secRadicado}"
                           action="#{consultaInformacionSolicitud.consultarSecRadicado}">
                <f:setPropertyActionListener value="#{consultaInformeCorrecccionesProtocolo.avaluo.secRadicado}"
                                             target="#{consultaInformacionSolicitud.numeroSecRadicado}"/>

            </p:commandLink>

            <h:outputLabel value="Nombre avaluador: " styleClass="outputLabelStyle" />


            <p:commandLink rendered="#{consultaInformeCorrecccionesProtocolo.avaluo.tieneMultiplesAvaluadores}"
                           id="infoAvaluadoresLink"
                           styleClass="commandLinkStyle"
                           value="#{consultaInformeCorrecccionesProtocolo.avaluo.avaluadores[0].nombreCompleto}"
                           action="#{consultarAvaluadoresAsignados.cargarAvaluadoresAsignados}"
                           update=":consultarAvaluadoresAsignadosPG"
                           onstart="statusDialog2.show();"
                           oncomplete="infoAvaluadoresAsignadosWV.show();statusDialog2.hide();">
                <f:setPropertyActionListener value="#{consultaInformeCorrecccionesProtocolo.avaluo.secRadicado}"
                                             target="#{consultarAvaluadoresAsignados.secRadicado}" />
            </p:commandLink>

            <h:outputText
                rendered="#{!consultaInformeCorrecccionesProtocolo.avaluo.tieneMultiplesAvaluadores}"
                styleClass="outputTextStyle"
                value="#{consultaInformeCorrecccionesProtocolo.avaluo.avaluadores[0].nombreCompleto}" />

            <h:outputLabel value="Departamento: " styleClass="outputLabelStyle" />

            <p:commandLink rendered="#{consultaInformeCorrecccionesProtocolo.avaluo.tienePrediosEnDiferentesDeptos}"
                           id="infoDeptosLink"
                           styleClass="commandLinkStyle"
                           value="#{consultaInformeCorrecccionesProtocolo.avaluo.avaluoPredios[0].departamento.nombre}"
                           action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                           update=":consultarDepartamentosMunicipioForm"
                           onstart="statusDialog2.show();"
                           oncomplete="infoDeptosMunisWV.show();statusDialog2.hide();">
                <f:setPropertyActionListener
                    value="#{consultaInformeCorrecccionesProtocolo.avaluo}"
                    target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}" />
            </p:commandLink>
            <h:outputText rendered="#{!consultaInformeCorrecccionesProtocolo.avaluo.tienePrediosEnDiferentesDeptos}"
                          styleClass="outputTextStyle"
                          value="#{consultaInformeCorrecccionesProtocolo.avaluo.avaluoPredios[0].departamento.nombre}"/>

            <h:outputLabel value="Solicitante: " styleClass="outputLabelStyle" />

            <h:outputText styleClass="outputTextStyle"           
                          value="#{consultaInformeCorrecccionesProtocolo.avaluo.solicitante.nombreCompleto}">
            </h:outputText>

            <h:outputLabel value="Municipio: " styleClass="outputLabelStyle" />

            <p:commandLink rendered="#{consultaInformeCorrecccionesProtocolo.avaluo.tienePrediosEnDiferentesMunicipios}"
                           id="infoMunicipiosLink"
                           styleClass="commandLinkStyle"
                           value="#{consultaInformeCorrecccionesProtocolo.avaluo.avaluoPredios[0].municipio.nombre}"
                           action="#{consultarDptoMunpioAvaluo.cargarDeptosMunisAvaluo}"
                           update=":consultarDepartamentosMunicipioForm"
                           onstart="statusDialog2.show();"
                           oncomplete="infoDeptosMunisWV.show();statusDialog2.hide();">
                <f:setPropertyActionListener
                    value="#{consultaInformeCorrecccionesProtocolo.avaluo}"
                    target="#{consultarDptoMunpioAvaluo.avaluoSeleccionado}" />
            </p:commandLink>

            <h:outputText rendered="#{!consultaInformeCorrecccionesProtocolo.avaluo.tienePrediosEnDiferentesMunicipios}"
                          styleClass="outputTextStyle"
                          value="#{consultaInformeCorrecccionesProtocolo.avaluo.avaluoPredios[0].municipio.nombre}"/>


            <h:outputLabel value="Tipo trámite:" styleClass="outputLabelStyle" />

            <h:outputText             
                value="#{consultaInformeCorrecccionesProtocolo.avaluo.tramite.tipoTramite}" 
                styleClass="outputTextStyle"
                id="AvaluosComercialesTipoTramite">
                <f:converter converterId="converterCB"
                             for="AvaluosComercialesTipoTramite"/>
            </h:outputText>

            <h:outputLabel value="Territorial:" styleClass="outputLabelStyle" />

            <h:outputText             
                value="#{consultaInformeCorrecccionesProtocolo.avaluo.estructuraOrganizacionalCod}" 
                styleClass="outputTextStyle"
                id="TerritorialesConDireccionGeneralCV-1">
                <f:converter converterId="converterCB"
                             for="TerritorialesConDireccionGeneralCV-1"/>
            </h:outputText>

            <p:commandLink id="infoPredialLink"
                           styleClass="commandLinkStyle"
                           value="Información predial"
                           action="#{consultaInformacionPredial.cargarInformacionPredial}"
                           update=":pdsDialog"
                           onstart="statusDialog2.show();"
                           oncomplete="statusDialog2.hide(); infoPredialWV.show();">
                <f:setPropertyActionListener value="#{consultaInformeCorrecccionesProtocolo.avaluo}"
                                             target="#{consultaInformacionPredial.avaluoSeleccionado}" />
            </p:commandLink>
            <h:outputText value="" />

            <h:outputLabel value="Tipo avalúo: " styleClass="outputLabelStyle" />

            <h:outputText id="AvaluoTipoAvaluoV" styleClass="outputTextStyle"          
                          value="#{consultaInformeCorrecccionesProtocolo.avaluo.tipoAvaluo}">
                <f:converter converterId="converterCB"
                             for="AvaluoTipoAvaluoV"/>
            </h:outputText>

        </h:panelGrid>

        <p:separator />

        <legend>
            <h:outputText value="Resultados de la consulta"
                          styleClass="legendTitle" />
        </legend>

        <h:panelGrid columns="1" cellspacing="7" width="100%">

            <p:dataTable id="controlesCalidadDT" value="#{consultaInformeCorrecccionesProtocolo.listaControlesCalidad}" var="controlCalidad"
                         rowKey="#{controlCalidad.id}" paginator="true" rows="10"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport}
                         {NextPageLink} {LastPageLink}"
                         rowsPerPageTemplate="10,20,30" paginatorPosition="bottom"
                         emptyMessage="No se encontraron controles de calidad asociados al avalúo">

                <f:facet name="header">
                    Controles de calidad
                </f:facet>

                <p:column headerText="Opciones">
                    <p:commandButton title="Ver informe control calidad"
                                     icon="ui-icon-document"
                                     action="#{consultaInformeCorrecccionesProtocolo.verInformeControlCalidad}"
                                     update=":consultarRevisionesForm" onstart="statusDialog2.show();"
                                     oncomplete="statusDialog2.hide();consultaRevisionesWV.show()">
                        <f:setPropertyActionListener value="#{controlCalidad}"
                                                     target="#{consultaInformeCorrecccionesProtocolo.controlCalidadSeleccionado}" />
                    </p:commandButton>
                </p:column>

                <p:column >
                    <f:facet name="header">
                        Territorial donde se<br/>  realiza el control de calidad
                    </f:facet>
                    <h:outputText value="#{controlCalidad.territorialCodigo}" id="TerritorialesConDireccionGeneralCV-2">
                        <f:converter converterId="converterCB"
                                     for="TerritorialesConDireccionGeneralCV-2"/>
                    </h:outputText>
                </p:column>
                <p:column >
                    <f:facet name="header">
                        Profesional control calidad
                    </f:facet>
                    <h:outputText value="#{controlCalidad.profesionalAvaluos.nombreCompleto}"/>
                </p:column>
                <p:column >
                    <f:facet name="header">
                        Número de revisiones
                    </f:facet>
                    <h:outputText value="#{controlCalidad.numeroRevisiones}"/>
                </p:column>
                <p:column >
                    <f:facet name="header">
                        Aprobado
                    </f:facet>
                    <h:outputText value="#{controlCalidad.aprobo}"/>
                </p:column>

            </p:dataTable>
        </h:panelGrid>
    </p:fieldset>
</h:form>

